  /*@lineinfo:filename=/authtest.jsp*/
  /*@lineinfo:generated-code*/

import oracle.jsp.runtime.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;


public class _authtest extends com.orionserver.http.OrionHttpJspPage {

  public final String _globalsClassName = null;

  // ** Begin Declarations


  // ** End Declarations

  public void _jspService(HttpServletRequest request, HttpServletResponse response) throws java.io.IOException, ServletException {

    response.setContentType( "text/html;charset=windows-1252");
    /* set up the intrinsic variables using the pageContext goober:
    ** session = HttpSession
    ** application = ServletContext
    ** out = JspWriter
    ** page = this
    ** config = ServletConfig
    ** all session/app beans declared in globals.jsa
    */
    PageContext pageContext = JspFactory.getDefaultFactory().getPageContext( this, request, response, null, true, JspWriter.DEFAULT_BUFFER, true);
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    if (pageContext.getAttribute(OracleJspRuntime.JSP_REQUEST_REDIRECTED, PageContext.REQUEST_SCOPE) != null) {
      pageContext.setAttribute(OracleJspRuntime.JSP_PAGE_DONTNOTIFY, "true", PageContext.PAGE_SCOPE);
      JspFactory.getDefaultFactory().releasePageContext(pageContext);
      return;
}
    int __jsp_tag_starteval;
    ServletContext application = pageContext.getServletContext();
    JspWriter out = pageContext.getOut();
    _authtest page = this;
    ServletConfig config = pageContext.getServletConfig();

    try {
      // global beans
      // end global beans


      out.write(__oracle_jsp_text[0]);
      out.write(__oracle_jsp_text[1]);
      out.write(__oracle_jsp_text[2]);
      /*@lineinfo:user-code*//*@lineinfo:31^20*/      out.print(request.getUserPrincipal().getName());
      /*@lineinfo:generated-code*/
      out.write(__oracle_jsp_text[3]);
      /*@lineinfo:user-code*//*@lineinfo:49^15*/      out.print( request.isUserInRole("Administrator"));
      /*@lineinfo:generated-code*/
      out.write(__oracle_jsp_text[4]);
      /*@lineinfo:user-code*//*@lineinfo:59^15*/      out.print( request.isUserInRole("Manager"));
      /*@lineinfo:generated-code*/
      out.write(__oracle_jsp_text[5]);
      /*@lineinfo:user-code*//*@lineinfo:69^15*/      out.print( request.isUserInRole("User"));
      /*@lineinfo:generated-code*/
      out.write(__oracle_jsp_text[6]);
      /*@lineinfo:user-code*//*@lineinfo:77^15*/      out.print( request.isUserInRole("Content Owner"));
      /*@lineinfo:generated-code*/
      out.write(__oracle_jsp_text[7]);


    }
    catch( Throwable e) {
      try {
        if (out != null) out.clear();
      }
      catch( Exception clearException) {
      }
      pageContext.handlePageException( e);
    }
    finally {
      OracleJspRuntime.extraHandlePCFinally(pageContext,false);
      JspFactory.getDefaultFactory().releasePageContext(pageContext);
    }

  }
  private static final char __oracle_jsp_text[][]=new char[8][];
  static {
    try {
    __oracle_jsp_text[0] = 
    "\n".toCharArray();
    __oracle_jsp_text[1] = 
    "\n".toCharArray();
    __oracle_jsp_text[2] = 
    "\n<html>\n  <head>\n    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=windows-1252\"/>\n    <title>\n      Jsp Struts Authentication Testcase\n    </title>\n    <link href=\"css/jdeveloper.css\" rel=\"stylesheet\" media=\"screen\"/>\n  </head>\n  <body>\n    <h1>\n      Struts Jsp Authentication Testcase\n    </h1><table cellspacing=\"2\" cellpadding=\"3\" border=\"1\" width=\"70%\">\n      <tbody>\n        <tr>\n          <th align=\"left\" width=\"46%\" bgcolor=\"#94b5ff\">\n            <font color=\"#ff0000\">\n               Username\n            </font>\n          </th>\n          <td width=\"54%\" align=\"center\" bgcolor=\"#94b5ff\">\n            <strong></strong></td>\n        </tr>\n        <tr>\n          <th align=\"left\" width=\"46%\" bgcolor=\"#f7ffd6\">\n            --- Remote User\n          </th>\n          <td width=\"54%\" align=\"center\" bgcolor=\"#f7ffd6\">\n           <strong>".toCharArray();
    __oracle_jsp_text[3] = 
    "</strong>\n          </td>\n        </tr>\n        <tr>\n          <th align=\"left\" width=\"46%\" bgcolor=\"#94b5ff\">\n            <font color=\"#ff0000\">\n              Roles\n            </font>\n          </th>\n          <td width=\"54%\" align=\"center\" bgcolor=\"#94b5ff\">\n            <strong> </strong></td>\n        </tr>\n        <tr>\n          <th align=\"left\" width=\"46%\" bgcolor=\"#f7ffd6\">\n            --- Administrator\n          </th>\n          <td width=\"54%\" align=\"center\" bgcolor=\"#f7ffd6\">\n            <strong>\n              ".toCharArray();
    __oracle_jsp_text[4] = 
    "\n              </strong>\n          </td>\n        </tr>\n        <tr>\n          <th align=\"left\" width=\"46%\" bgcolor=\"#f7ffd6\">\n            --- Manager\n          </th>\n          <td width=\"54%\" align=\"center\" bgcolor=\"#f7ffd6\">\n            <strong>\n              ".toCharArray();
    __oracle_jsp_text[5] = 
    "\n            </strong>\n          </td>\n        </tr>\n        <tr>\n          <th align=\"left\" width=\"46%\" bgcolor=\"#f7ffd6\">\n            --- User\n          </th>\n          <td width=\"54%\" align=\"center\" bgcolor=\"#f7ffd6\">\n            <strong>\n              ".toCharArray();
    __oracle_jsp_text[6] = 
    "\n            </strong>\n          </td>\n        </tr>\n        <tr>\n          <th align=\"left\" width=\"46%\" bgcolor=\"#f7ffd6\">--- Content Owner</th>\n          <td width=\"54%\" align=\"center\" bgcolor=\"#f7ffd6\">\n            <strong>\n              ".toCharArray();
    __oracle_jsp_text[7] = 
    "\n            </strong>\n          </td>\n        </tr>\n      </tbody>\n    </table>\n  </body>\n</html>".toCharArray();
    }
    catch (Throwable th) {
      System.err.println(th);
    }
}
}
